cryptdefs.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`

Go to the source code of this file.

## Enumerations

enum | GWEN_CRYPT_PINENCODING { GWEN_Crypt_PinEncoding_Unknown =-1 , GWEN_Crypt_PinEncoding_None =0 , GWEN_Crypt_PinEncoding_Bin , GWEN_Crypt_PinEncoding_Bcd , GWEN_Crypt_PinEncoding_Ascii , GWEN_Crypt_PinEncoding_FPin2 }
enum | GWEN_CRYPT_PINTYPE { GWEN_Crypt_PinType_Unknown =-1 , GWEN_Crypt_PinType_None =0 , GWEN_Crypt_PinType_Access , GWEN_Crypt_PinType_Manage }

## Functions

GWENHYWFAR_API int | GWEN_Crypt_KeyDataFromText (const char *text, unsigned char *buffer, unsigned int bufLength)
GWENHYWFAR_API GWEN_CRYPT_PINENCODING | GWEN_Crypt_PinEncoding_fromString (const char *s)
GWENHYWFAR_API const char * | GWEN_Crypt_PinEncoding_toString (GWEN_CRYPT_PINENCODING pe)
GWENHYWFAR_API GWEN_CRYPT_PINTYPE | GWEN_Crypt_PinType_fromString (const char *s)
GWENHYWFAR_API const char * | GWEN_Crypt_PinType_toString (GWEN_CRYPT_PINTYPE pt)
GWENHYWFAR_API void | GWEN_Crypt_Random (int quality, uint8_t *buffer, uint32_t len)
GWENHYWFAR_API int | GWEN_Crypt_TransformPin (GWEN_CRYPT_PINENCODING peSrc, GWEN_CRYPT_PINENCODING peDst, unsigned char *buffer, unsigned int bufLength, unsigned int *pinLength)

## Enumeration Type Documentation

## GWEN_CRYPT_PINENCODING

enum GWEN_CRYPT_PINENCODING

Enumerator
GWEN_Crypt_PinEncoding_Unknown |
GWEN_Crypt_PinEncoding_None |
GWEN_Crypt_PinEncoding_Bin |
GWEN_Crypt_PinEncoding_Bcd |
GWEN_Crypt_PinEncoding_Ascii |
GWEN_Crypt_PinEncoding_FPin2 |

Definition at line 39 of file cryptdefs.h.

## GWEN_CRYPT_PINTYPE

enum GWEN_CRYPT_PINTYPE

Enumerator
GWEN_Crypt_PinType_Unknown |
GWEN_Crypt_PinType_None |
GWEN_Crypt_PinType_Access |
GWEN_Crypt_PinType_Manage |

Definition at line 26 of file cryptdefs.h.

## Function Documentation

## GWEN_Crypt_KeyDataFromText()

GWENHYWFAR_API int GWEN_Crypt_KeyDataFromText | ( | const char * | text,
|  | unsigned char * | buffer,
|  | unsigned int | bufLength )

References GWENHYWFAR_API.

## GWEN_Crypt_PinEncoding_fromString()

GWENHYWFAR_API GWEN_CRYPT_PINENCODING GWEN_Crypt_PinEncoding_fromString | ( | const char * | s | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_PinEncoding_toString()

GWENHYWFAR_API const char * GWEN_Crypt_PinEncoding_toString | ( | GWEN_CRYPT_PINENCODING | pe | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_PinType_fromString()

GWENHYWFAR_API GWEN_CRYPT_PINTYPE GWEN_Crypt_PinType_fromString | ( | const char * | s | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_PinType_toString()

GWENHYWFAR_API const char * GWEN_Crypt_PinType_toString | ( | GWEN_CRYPT_PINTYPE | pt | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_Random()

GWENHYWFAR_API void GWEN_Crypt_Random | ( | int | quality,
|  | uint8_t * | buffer,
|  | uint32_t | len )

References GWENHYWFAR_API.

## GWEN_Crypt_TransformPin()

GWENHYWFAR_API int GWEN_Crypt_TransformPin | ( | GWEN_CRYPT_PINENCODING | peSrc,
|  | GWEN_CRYPT_PINENCODING | peDst,
|  | unsigned char * | buffer,
|  | unsigned int | bufLength,
|  | unsigned int * | pinLength )

References GWENHYWFAR_API.